﻿using System;
using System.Drawing;
using Ranorex;
using com.edgewords.ranorex.pom.helpers;

namespace com.edgewords.ranorex.pom.page_objects
{
    class HomePage
    {
        public WebDocument dom;

        public WebElement Home => dom.FindSingle(".//span[@innertext='Home']", Globals.GLOBAL_TIMEOUT);
        public bool HomeExists => dom.TryFindSingle(".//span[@innertext='Home']", Globals.GLOBAL_TIMEOUT, out WebElement obj);
        public WebElement BasicHTML => dom.FindSingle(".//span[@innertext='Basic HTML']", Globals.GLOBAL_TIMEOUT);
        public bool BasicHTMLExists => dom.TryFindSingle(".//span[@innertext='Basic HTML']", Globals.GLOBAL_TIMEOUT, out WebElement obj);
        public WebElement Forms => dom.FindSingle(".//span[@innertext='Forms']", Globals.GLOBAL_TIMEOUT);
        public bool FormsExists => dom.TryFindSingle(".//span[@innertext='Forms']", Globals.GLOBAL_TIMEOUT, out WebElement obj);
        public WebElement DynamicContent => dom.FindSingle(".//span[@innertext='Dynamic Content']", Globals.GLOBAL_TIMEOUT);
        public bool DynamicContentExists => dom.TryFindSingle(".//span[@innertext='Dynamic Content']", Globals.GLOBAL_TIMEOUT, out WebElement obj);
        public WebElement CSSXPath => dom.FindSingle(".//span[@innertext='CSS/XPath']", Globals.GLOBAL_TIMEOUT);
        public bool CSSXPathExists => dom.TryFindSingle(".//span[@innertext='CSS/XPath']", Globals.GLOBAL_TIMEOUT, out WebElement obj);
        public bool TitleExists => dom.TryFindSingle(".//h1[@innertext='Automated Tools Test Site']", Globals.GLOBAL_TIMEOUT, out WebElement obj);

        public HomePage(WebDocument _dom)
        {
            this.dom = _dom;
        }

    }
}
