﻿using System;
using TechTalk.SpecFlow;
using NUnit.Framework;
using Ranorex;
using com.edgewords.ranorex.pom.page_objects;
using com.edgewords.ranorex.pom.helpers;

namespace com.edgewords.ranorex.pom.steps
{
    [Binding]
    public class NavigationSteps : BaseTest
    {
        [Given(@"That I am on the home page")]
        public void GivenThatIAmOnTheHomePage()
        {
            StartBrowser("/training-site/index.html", Globals.GLOBAL_BROWSER);
        }
        
        [When(@"I click a link on the left navigation menu")]
        public void WhenIClickALinkOnTheLeftNavigationMenu()
        {
            HomePage homePage = new HomePage(dom); // Instantiate our Page Object Class
            homePage.Forms.Click();
            homePage.Home.Click();
        }
        
        [Then(@"it takes me to the corresponding page")]
        public void ThenItTakesMeToTheCorrespondingPage()
        {
            HomePage homePage = new HomePage(dom);
            Assert.That(homePage.TitleExists);
            CloseBrowser();
        }
    }
}
