﻿using NUnit.Framework;
using Ranorex;
using com.edgewords.ranorex.pom.page_objects;
using com.edgewords.ranorex.pom.helpers;

namespace com.edgewords.ranorex.pom.tests
{
    [TestFixture]
    public class SimpleTest : BaseTest
    {
        [Test]
        public void TestMethod()
        {
            StartBrowser("/training-site/index.html", Globals.GLOBAL_BROWSER);

            HomePage homePage = new HomePage(dom); // Instantiate our Page Object Class
            homePage.Forms.Click();
            homePage.Home.Click();

            Assert.That(homePage.TitleExists);
            CloseBrowser();
        }
    }
}
